<?php
// +-----------------------------------------------------------------------+
// | Change who added photo plugin for piwigo                              |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2013-2016 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

load_language('plugin.lang', CWAP_PATH);

global $prefilter;


  add_event_handler('loc_end_element_set_global', 'CWAP_loc_end_element_set_global');
  add_event_handler('element_set_global_action', 'CWAP_element_set_global_action', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
  
function CWAP_loc_end_element_set_global()
 {
 load_language('plugin.lang', CWAP_PATH);
 	global $template;
  $userslist = array(); 
  $query = '
SELECT id, username
  FROM '.USERS_TABLE.'
  ORDER BY username ASC
;';
  $result = pwg_query($query);
  while ($row = pwg_db_fetch_assoc($result))
  {
    $userslist[$row['username']] = $row['username'];
  }
$template->set_filename('CWAPPP', realpath(CWAP_PATH.'cwap.tpl'));
$template->assign('userslist', $userslist);
$template->append('element_set_global_plugins_actions', array(
    'ID' => 'CWAP', 
    'NAME' => l10n('Change who added photo'), 
    'CONTENT' => $template->parse('CWAPPP', true)
	));
 }


 
function CWAP_element_set_global_action($action, $collection)
 {
  load_language('plugin.lang', CWAP_PATH);
	if ($action == 'CWAP')
  {
    global $page;
    
    if (empty($_POST['check_CWAP']))
    {
      array_push($page['warnings'], l10n('You need to confirm'));
    }
    else
    {
	
	 $query = '
select id
  FROM ' . USERS_TABLE . '
  WHERE username = \''.$_POST['CWAP'].'\'
  ;';
$result = pwg_query($query);
$row = pwg_db_fetch_assoc($result);
$CWAP=$row['id'];
$datas = array();
    foreach ($collection as $image_id)
    {
      array_push(
        $datas,
        array(
          'id' => $image_id,
          'added_by' => $CWAP
          )
        );
    }

    mass_updates(
      IMAGES_TABLE,
      array('primary' => array('id'), 'update' => array('added_by')),
      $datas
      );
    }
  }
 }
?>